## org.hibernate.criterion
Class AvgProjection

    java.lang.Object
      org.hibernate.criterion.SimpleProjection
          org.hibernate.criterion.AggregateProjection
              org.hibernate.criterion.AvgProjection

All Implemented Interfaces:
  Serializable, EnhancedProjection, Projection

    public class AvgProjection

extends AggregateProjection

An avg() projection

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.criterion.AggregateProjection
`propertyName`

Constructor Summary
`AvgProjection(String propertyName)`

Method Summary

Methods inherited from class org.hibernate.criterion.AggregateProjection
`buildFunctionParameterList, buildFunctionParameterList, getFunction, getFunction, getFunctionName, getPropertyName, getTypes, toSqlString, toString`

Methods inherited from class org.hibernate.criterion.SimpleProjection
`as, getAliases, getColumnAliases, getColumnAliases, getColumnAliases, getColumnAliases, getColumnCount, getTypes, isGrouped, toGroupSqlString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AvgProjection

    public AvgProjection(String propertyName)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.